@desco/deeper-parentheses

    1.0.6 • Public • Published

    @desco/deeper-parentheses

    Pacote NPM que permite executar um método passado, primeiro nos níveis mais profundos de uma determinada expressão, para depois os níveis mais profundos.

    Licença MIT Versão 1.0.6

    🚀 Pronto para uso! 🚀

    Veja outros projetos NPM aqui.

    Veja outros projetos aqui.


    📋 Tabela de conteúdos


    🛠️ Tecnologias

    As seguintes tecnologias são utilizadas:


    ⚙️ Instalação

    npm install --save @desco/deeper-parentheses

    Note que será necessário ter o NPM instalado para o comando funcionar.


    📦 Importação

    Node

    const deeperParentheses = require('@desco/deeper-parentheses')

    Browse

    import deeperParentheses from '@desco/deeper-parentheses'

    📚 Como Usar

    const deeperParentheses = require('@desco/deeper-parentheses' )
    
    const expression = '((name = Rafael AND sign = Cancer) || name = Tiago) || (age = 32 || age = 31)'
    
    const result = deeperParentheses(expression, _subexpression => {
        // Displayed:
        //// (name = Rafael AND sign = Cancer)
        //// (ok || name = Tiago)
        //// (age = 32 || age = 31)
        //// ok || ok
        console.log(_subexpression)
    
        return 'ok'
    })
    
    // Displayed: ok
    console.log(result)

    Autor

    Rafael A. R. Dias Email eu@diasrafael.com.br Linkedin @diasrafael Facebook @eudiasrafael GitHub Overview @descodifica GitHub NPM @desco-npm NPM @desco

    Keywords

    none

    Install

    npm i @desco/deeper-parentheses

    DownloadsWeekly Downloads

    1

    Version

    1.0.6

    License

    ISC

    Unpacked Size

    11.1 kB

    Total Files

    5

    Last publish

    Collaborators

    • descodifica